E-MailRelay

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Member Functions | List of all members
G::Environment Class Reference

A static class to wrap getenv() and putenv(). More...

`#include <genvironment.h>`

## Static Public Member Functions
static std::string | get (const std::string &name, const std::string &default_)
| Returns the environment variable value or the given default.
static void | put (const std::string &name, const std::string &value)
| Sets the environment variable value.

## Detailed Description

A static class to wrap getenv() and putenv().

Definition at line 35 of file genvironment.h.

The documentation for this class was generated from the following files:

- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/glib/genvironment.h
- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/glib/genvironment_unix.cpp